;;-----------------------------LICENSE NOTICE-----------------------------------
;;  This file is part of CPCtelera: An Amstrad CPC Game Engine 
;;  Copyright (C) 2018 ronaldo / Fremos / Cheesetea / ByteRealms (@FranGallegoBR)
;;
;;  This program is free software: you can redistribute it and/or modify
;;  it under the terms of the GNU Lesser General Public License as published by
;;  the Free Software Foundation, either version 3 of the License, or
;;  (at your option) any later version.
;;
;;  This program is distributed in the hope that it will be useful,
;;  but WITHOUT ANY WARRANTY; without even the implied warranty of
;;  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;  GNU Lesser General Public License for more details.
;;
;;  You should have received a copy of the GNU Lesser General Public License
;;  along with this program.  If not, see <http://www.gnu.org/licenses/>.
;;-------------------------------------------------------------------------------
;;NOTA: GRABAR SIEMPRE EN LINUX EN CODIFICACIÓN UTF-8 SIN NADA, SIN BOM O DARÁ ERROR EN LÍNEA 1 AQUÍ
;;ORG --> #8000 donde meto mi música y justo después empieza mi programa en #81D1

;; Include all CPCtelera constant definitions, macros and variables
.include "cpctelera.h.s"
;; Include all function entry points as global symbols for the compiler.
.include "main.h.s"

;;
;; Start of _DATA area 
;;  SDCC requires at least _DATA and _CODE areas to be declared, but you may use
;;  any one of them for any purpose. Usually, compiler puts _DATA area contents
;;  right after _CODE area contents.
;;
.area _DATA



;;
;; Start of _CODE area
;; 
.area _CODE


_initmusic::
   ;******************************** Música **************************************
   ;(2B DE) songdata  Pointer to the start of the array containing song’s data in AKS binary format
   
   ld   de, #_song_simon   
   call cpct_akp_musicInit_asm
   
 ret


_playmusic::
   di 
   exx
   ex af,af'    
   push  af
   push  bc
   push  de
   push  hl   
     
   call  cpct_akp_musicPlay_asm 
      
   pop   hl
   pop   de
   pop   bc
   pop   af   
   ex af,af'
   exx   
   ei    

 ret     


_stopmusic::
   di
   exx        ;intercambia bc, de, hl con bc', de', hl'
   ex af,af'  ;intercambia el reg 16bits af con af' 
   push af
   push bc
   push de
   push hl 
   push ix
   push iy
     
   call  cpct_akp_stop_asm 
   
   pop iy
   pop ix
   pop hl
   pop de
   pop bc
   pop af
   ex af,af'
   exx
   ei       

 ret     


;;
;; MAIN function. This is the entry point of the application.
;;    _main:: global symbol is required for correctly compiling and linking
;;
_main::
      
   

   ret 



   



